Page MenuHomePhabricator

Insert > Gallery should pre-load the article title in the search for images, like Insert > Media does
Closed, ResolvedPublic1 Story Points

Description

What happens now:

  1. Insert > Gallery
  2. Nothing.

What should happen:

  1. Insert > Gallery
  2. Search results, just like Insert > Media!

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterPre-load the article title in gallery dialog search

Event Timeline

Restricted Application added a project: VisualEditor. · View Herald TranscriptSep 9 2016, 8:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Esanders added a subscriber: Esanders.

I see this when I open the gallery dialog:

Or do you mean we should autocomplete with the page title?

Jdforrester-WMF renamed this task from Insert > Gallery should search for images, just like Insert > Media does to Insert > Gallery should pre-load the article title in the search for images, like Insert > Media does.Sep 13 2016, 7:16 PM
Jdforrester-WMF assigned this task to Tchanders.
Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to Blocked on the VisualEditor board.

Change 313118 had a related patch set uploaded (by Tchanders):
Pre-load the article title in gallery dialog search

https://gerrit.wikimedia.org/r/313118

Although I've put a patch up for review, I'm not sure I completely agree with doing this. It might look a bit slicker to have some images already loaded, but I would guess that it would only be useful in a very small percentage of cases.

(In reply to Ed's question) Yes, I mean that we should autocomplete the search with the page title, both when inserting a new gallery and also after clicking on "Add new image" to an existing one.

Ok, that's what the patch in review does.

Change 313118 merged by jenkins-bot:
Pre-load the article title in gallery dialog search

https://gerrit.wikimedia.org/r/313118

Jdforrester-WMF closed this task as Resolved.Oct 4 2016, 5:20 PM
Jdforrester-WMF removed a project: Patch-For-Review.